Bug 1030958 - Syntax error in $CLI_HOME/samples/modules/jbossas.js
Syntax error in $CLI_HOME/samples/modules/jbossas.js
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: CLI (Show other bugs)
4.10
Unspecified Unspecified
unspecified Severity unspecified (vote)
: GA
: RHQ 4.10
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks: 1032703
  Show dependency treegraph
 
Reported: 2013-11-15 07:14 EST by Lukas Krejci
Modified: 2014-04-23 08:30 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1032703 (view as bug list)
Environment:
Last Closed: 2014-04-23 08:30:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Lukas Krejci 2013-11-15 07:14:35 EST
Description of problem:

The sample module jbossas.js contains a syntax error that prevents it from being directly used.

Version-Release number of selected component (if applicable):
4.10.0-SNAPSHOT

How reproducible:
always

Steps to Reproduce:
1. In CLI, do:
var jbossas = require("modules:/jbossas");

Actual results:
org.mozilla.javascript.EvaluatorException: missing ; before statement (modules:/jbossas#332) in modules:/jbossas at line number 332

Expected results:
the module loads fine

Additional info:
Comment 1 Lukas Krejci 2013-11-15 07:31:02 EST
commit a1c65b317d66a05a49befeff95fcc931b785fa9d
Author: Lukas Krejci <lkrejci@redhat.com>
Date:   Fri Nov 15 13:29:44 2013 +0100

    [BZ 1030958] - Fixing a syntax error in $CLI/samples/modules/jbossas.js
Comment 2 Libor Zoubek 2013-11-25 03:32:55 EST
verified on ER7
Comment 3 Heiko W. Rupp 2014-04-23 08:30:58 EDT
Bulk closing of 4.10 issues.

If an issue is not solved for you, please open a new BZ (or clone the existing one) with a version designator of 4.10.

Note You need to log in before you can comment on or make changes to this bug.